summaryrefslogtreecommitdiffstats
path: root/libraries/libticalcs2
diff options
context:
space:
mode:
author JK Wood2012-12-26 08:27:13 +0100
committer Matteo Bernardini2012-12-26 21:36:44 +0100
commit95a9ba57f834b49c1d82446ed668dfc88088e344 (patch)
treec8dabb25f0081c7022351bb6ae458f4430964b04 /libraries/libticalcs2
parent181cfd4d8375b41c265939a6340d2d7de398487d (diff)
downloadslackbuilds-95a9ba57f834b49c1d82446ed668dfc88088e344.tar.gz
libraries/libticalcs2: Added (TI-calculator communications library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/libticalcs2')
-rw-r--r--libraries/libticalcs2/README8
-rw-r--r--libraries/libticalcs2/libticalcs2.SlackBuild94
-rw-r--r--libraries/libticalcs2/libticalcs2.info10
-rw-r--r--libraries/libticalcs2/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/libticalcs2/README b/libraries/libticalcs2/README
new file mode 100644
index 0000000000..071443d40d
--- /dev/null
+++ b/libraries/libticalcs2/README
@@ -0,0 +1,8 @@
+libticalcs2 is part of the TiLP (Ti Linking Project.)
+
+The libticalcs provides a set of functions to communicate with Texas
+Instruments calculators. It implements the TI protocol for each type of
+calculator, independently of the link cable used to establish the link
+
+All graphing calculators from Texas Instruments are supported
+
diff --git a/libraries/libticalcs2/libticalcs2.SlackBuild b/libraries/libticalcs2/libticalcs2.SlackBuild
new file mode 100644
index 0000000000..de128d1a10
--- /dev/null
+++ b/libraries/libticalcs2/libticalcs2.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackbuild for libticalcs2
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=libticalcs2
+VERSION=1.1.7
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux \
+
+make
+
+DESTDIR=$PKG make install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libticalcs2/libticalcs2.info b/libraries/libticalcs2/libticalcs2.info
new file mode 100644
index 0000000000..6f314cece0
--- /dev/null
+++ b/libraries/libticalcs2/libticalcs2.info
@@ -0,0 +1,10 @@
+PRGNAM="libticalcs2"
+VERSION="1.1.7"
+HOMEPAGE="http://lpg.ticalc.org/prj_tilp/"
+DOWNLOAD="http://downloads.sourceforge.net/tilp/libticalcs2-1.1.7.tar.bz2"
+MD5SUM="bb88a1200e3bce4e58718a0284933e97"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libticables2 libtifiles2"
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/libraries/libticalcs2/slack-desc b/libraries/libticalcs2/slack-desc
new file mode 100644
index 0000000000..f47d4d4ff3
--- /dev/null
+++ b/libraries/libticalcs2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libticalcs2: libticalcs2 (TI-calculator communications library for linux)
+libticalcs2:
+libticalcs2: libticalcs2 allows communication with the Z-80 line
+libticalcs2: of calculators from Texas Instruments.
+libticalcs2:
+libticalcs2: Homepage: http://lpg.ticalc.org/prj_tilp/
+libticalcs2:
+libticalcs2:
+libticalcs2:
+libticalcs2:
+libticalcs2: